<?php

namespace Planaday\Entities\Booking\DTO;

class ContactPerson {
	protected string $firstName = '';
	protected string $prefix = '';
	protected string $lastName = '';
	protected ?Address $address = null;
	protected string $email = '';
	protected ?string $phoneNumber = null;

	public function getFirstName(): string {
		return $this->firstName;
	}

	public function setFirstName( string $firstName ): static {
		$this->firstName = $firstName;

		return $this;
	}

	public function getPrefix(): string {
		return $this->prefix;
	}

	public function setPrefix( string $prefix ): static {
		$this->prefix = $prefix;
		return $this;
	}

	public function getLastName(): string {
		return $this->lastName;
	}

	public function setLastName( string $lastName ): static {
		$this->lastName = $lastName;

		return $this;
	}

	public function getAddress(): ?Address {
		return $this->address;
	}

	public function setAddress( ?Address $address ): static {
		$this->address = $address;

		return $this;
	}

	public function getEmail(): string {
		return $this->email;
	}

	public function setEmail( string $email ): static {
		$this->email = $email;

		return $this;
	}

	public function getPhoneNumber(): ?string {
		return $this->phoneNumber;
	}

	public function setPhoneNumber( ?string $phoneNumber ): static {
		$this->phoneNumber = $phoneNumber;

		return $this;
	}
}